#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,i,mn=1,mx;
    cin>>n;
    mx=2*n;
    for(i=0;i<2*n;i++)
    {
        if(i==n)
        {
            cout<<endl;
        }
        if(i%2==0)
        {
            cout<<mn<<" ";
            mn++;
        }
        else
        {
            cout<<mx<<" ";
            mx--;
        }
    }
}